Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Consolekit cannot open session....
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
ExecutorElassus
l33t
l33t


Joined: 11 Mar 2004
Posts: 765
Location: Stuttgart, Germany

PostPosted: Wed Feb 12, 2014 3:06 pm    Post subject: Reply with quote

here's the last of it:
Code:
1392159332:  ::: completed emerge (101 of 108) kde-base/kcontrol-4.12.2 to /
1392159332:  >>> emerge (102 of 108) kde-base/kdm-4.11.6 to /
1392159332:  === (102 of 108) Cleaning (kde-base/kdm-4.11.6::/usr/portage/kde-base/kdm/kdm-4.11.6.ebuild
)
1392159333:  === (102 of 108) Compiling/Merging (kde-base/kdm-4.11.6::/usr/portage/kde-base/kdm/kdm-4.11
.6.ebuild)
1392159374:  === (102 of 108) Merging (kde-base/kdm-4.11.6::/usr/portage/kde-base/kdm/kdm-4.11.6.ebuild)
1392159378:  >>> AUTOCLEAN: kde-base/kdm:4
1392159378:  === Unmerging... (kde-base/kdm-4.11.5)
1392159382:  >>> unmerge success: kde-base/kdm-4.11.5
1392159388:  === (102 of 108) Post-Build Cleaning (kde-base/kdm-4.11.6::/usr/portage/kde-base/kdm/kdm-4.
11.6.ebuild)
1392159388:  ::: completed emerge (102 of 108) kde-base/kdm-4.11.6 to /
1392159388:  >>> emerge (103 of 108) kde-base/konqueror-4.12.2 to /
1392159388:  === (103 of 108) Cleaning (kde-base/konqueror-4.12.2::/usr/portage/kde-base/konqueror/konqu
eror-4.12.2.ebuild)
1392159388:  === (103 of 108) Compiling/Merging (kde-base/konqueror-4.12.2::/usr/portage/kde-base/konque
ror/konqueror-4.12.2.ebuild)
1392159454:  === (103 of 108) Merging (kde-base/konqueror-4.12.2::/usr/portage/kde-base/konqueror/konque
ror-4.12.2.ebuild)
1392159458:  >>> AUTOCLEAN: kde-base/konqueror:4
1392159458:  === Unmerging... (kde-base/konqueror-4.12.1)
1392159464:  >>> unmerge success: kde-base/konqueror-4.12.1
1392159472:  === (103 of 108) Post-Build Cleaning (kde-base/konqueror-4.12.2::/usr/portage/kde-base/konq
ueror/konqueror-4.12.2.ebuild)
1392159472:  ::: completed emerge (103 of 108) kde-base/konqueror-4.12.2 to /
1392159472:  >>> emerge (104 of 108) kde-base/dolphin-4.12.2 to /
1392159472:  === (104 of 108) Cleaning (kde-base/dolphin-4.12.2::/usr/portage/kde-base/dolphin/dolphin-4.12.2.ebuild)
1392159472:  === (104 of 108) Compiling/Merging (kde-base/dolphin-4.12.2::/usr/portage/kde-base/dolphin/dolphin-4.12.2.ebuild)
1392159531:  === (104 of 108) Merging (kde-base/dolphin-4.12.2::/usr/portage/kde-base/dolphin/dolphin-4.12.2.ebuild)
1392159535:  >>> AUTOCLEAN: kde-base/dolphin:4
1392159535:  === Unmerging... (kde-base/dolphin-4.12.1)
1392159540:  >>> unmerge success: kde-base/dolphin-4.12.1
1392159546:  === (104 of 108) Post-Build Cleaning (kde-base/dolphin-4.12.2::/usr/portage/kde-base/dolphin/dolphin-4.12.2.ebuild)
1392159546:  ::: completed emerge (104 of 108) kde-base/dolphin-4.12.2 to /
1392159546:  >>> emerge (105 of 108) kde-base/kdebase-runtime-meta-4.12.2 to /
1392159546:  === (105 of 108) Cleaning (kde-base/kdebase-runtime-meta-4.12.2::/usr/portage/kde-base/kdebase-runtime-meta/kdebase-runtime-meta-4.12.2.ebuild)
1392159546:  === (105 of 108) Compiling/Merging (kde-base/kdebase-runtime-meta-4.12.2::/usr/portage/kde-base/kdebase-runtime-meta/kdebase-runtime-meta-4.12.2.ebuild)
1392159550:  === (105 of 108) Merging (kde-base/kdebase-runtime-meta-4.12.2::/usr/portage/kde-base/kdebase-runtime-meta/kdebase-runtime-meta-4.12.2.ebuild)
1392159553:  >>> AUTOCLEAN: kde-base/kdebase-runtime-meta:4
1392159553:  === Unmerging... (kde-base/kdebase-runtime-meta-4.12.1)
1392159556:  >>> unmerge success: kde-base/kdebase-runtime-meta-4.12.1
1392159559:  === (105 of 108) Post-Build Cleaning (kde-base/kdebase-runtime-meta-4.12.2::/usr/portage/kde-base/kdebase-runtime-meta/kdebase-runtime-meta-4.12.2.ebuild)
1392159559:  ::: completed emerge (105 of 108) kde-base/kdebase-runtime-meta-4.12.2 to /
1392159559:  >>> emerge (106 of 108) www-client/firefox-27.0 to /
1392159559:  === (106 of 108) Cleaning (www-client/firefox-27.0::/usr/portage/www-client/firefox/firefox-27.0.ebuild)
1392159563:  === (106 of 108) Compiling/Merging (www-client/firefox-27.0::/usr/portage/www-client/firefox/firefox-27.0.ebuild)
1392161670:  === (106 of 108) Merging (www-client/firefox-27.0::/usr/portage/www-client/firefox/firefox-27.0.ebuild)
1392161683:  >>> AUTOCLEAN: www-client/firefox:0
1392161683:  === Unmerging... (www-client/firefox-26.0)
1392161691:  >>> unmerge success: www-client/firefox-26.0
1392161710:  === (106 of 108) Post-Build Cleaning (www-client/firefox-27.0::/usr/portage/www-client/firefox/firefox-27.0.ebuild)
1392161710:  ::: completed emerge (106 of 108) www-client/firefox-27.0 to /
1392161710:  >>> emerge (107 of 108) dev-libs/DirectFB-1.7.1 to /
1392161710:  === (107 of 108) Cleaning (dev-libs/DirectFB-1.7.1::/usr/portage/dev-libs/DirectFB/DirectFB-1.7.1.ebuild)
1392161711:  === (107 of 108) Compiling/Merging (dev-libs/DirectFB-1.7.1::/usr/portage/dev-libs/DirectFB/DirectFB-1.7.1.ebuild)
1392161807:  *** Finished. Cleaning up...
1392161807:  *** exiting unsuccessfully with status '1'.
1392161817:  *** terminating.
1392171393: Started emerge on: Feb 12, 2014 03:16:32
1392171393:  *** emerge --autounmask=n bittorrent-sync-1.2.82.ebuild
1392171395:  *** terminating.
1392171912: Started emerge on: Feb 12, 2014 03:25:11
1392171912:  *** emerge --autounmask=n bittorrent-sync
1392171921:  >>> emerge (1 of 1) net-p2p/bittorrent-sync-1.2.82 to /
1392171921:  === (1 of 1) Cleaning (net-p2p/bittorrent-sync-1.2.82::/var/lib/layman/funtoo-overlay/net-p2p/bittorrent-sync/bittorrent-sync-1.2.82.ebuild)
1392171925:  === (1 of 1) Compiling/Merging (net-p2p/bittorrent-sync-1.2.82::/var/lib/layman/funtoo-overlay/net-p2p/bittorrent-sync/bittorrent-sync-1.2.82.ebuild)
1392171928:  === (1 of 1) Merging (net-p2p/bittorrent-sync-1.2.82::/var/lib/layman/funtoo-overlay/net-p2p/bittorrent-sync/bittorrent-sync-1.2.82.ebuild)
1392171931:  >>> AUTOCLEAN: net-p2p/bittorrent-sync:0
1392171935:  === (1 of 1) Updating world file (net-p2p/bittorrent-sync-1.2.82)
1392171935:  === (1 of 1) Post-Build Cleaning (net-p2p/bittorrent-sync-1.2.82::/var/lib/layman/funtoo-overlay/net-p2p/bittorrent-sync/bittorrent-sync-1.2.82.ebuild)
1392171935:  ::: completed emerge (1 of 1) net-p2p/bittorrent-sync-1.2.82 to /
1392171935:  *** Finished. Cleaning up...
1392171938:  *** exiting successfully.
1392171938:  *** terminating.
DirectFB has been failing for a while, and btsync doesn't seem to work, but those are unrelated. I can log in and play my boyband collection, so that's all that really matters to me right now.
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1063
Location: /dev/koelsch

PostPosted: Wed Feb 12, 2014 6:48 pm    Post subject: Reply with quote

ExecutorElassus,

thanks for the information, I'll give it a try next time.

Regards, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
steveL
Advocate
Advocate


Joined: 13 Sep 2006
Posts: 2919
Location: The Peanut Gallery

PostPosted: Wed Feb 12, 2014 9:26 pm    Post subject: Reply with quote

Blaubaer wrote:
Is there a easy way to get rid of consolekit and have the same functionality (without switching to systemd)?
Especialy i need the feature to mount usb-devices in kde the way it works with consolekit.

Yeah, you can see Dominiques' write-up here; basically it comes down to setting the flags (no policykit either), and using uam (minimal, written by a Gentoo dev) or pmount/pmount-gui. creaker also wrote a Qt variant for his KDE install, that also works in the context-menu for Dolphin, which might suit you better.

KDE definitely works fine, though I don't use semantic-craptop, as it's always been a pig, and I don't want a production database-server installed and running full-time on my laptop or desktop. Each to their own. In any event KDE4 finally feels as slick as 3.5 used to. :) 4.9 added "Attach as tab to.." which made life a whole lot easier.
Back to top
View user's profile Send private message
andi456
Tux's lil' helper
Tux's lil' helper


Joined: 06 Mar 2005
Posts: 123
Location: Germany

PostPosted: Thu Feb 13, 2014 2:04 pm    Post subject: Reply with quote

For the record: I got exactly the same symptoms on my amd64 machine.
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1063
Location: /dev/koelsch

PostPosted: Fri Feb 14, 2014 7:43 am    Post subject: Reply with quote

andi,

does it mean it doesn't work after you've done an upgrade after this date, descibed in this post?

http://forums.gentoo.org/posting.php?mode=quote&p=7498620
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
12monkeys
n00b
n00b


Joined: 24 Nov 2008
Posts: 4
Location: Australia

PostPosted: Sat Feb 15, 2014 1:27 am    Post subject: Reply with quote

If anyone needed some motivation to consider btrfs and its snapshot function I think this would be it. But I'm not currently and this is a summary of what I had to do to fix the problem (skipping over many failed attempts and days of effort). I refuse to move to systemd at this point just to fix this problem.

Note: I use KDE exclusively, and I am on AMD64.

Firstly, get rid of as much gtk related stuff as possible by setting the USE flags in /etc/make.conf: "-gnome -gnome-keyring -gtk" and I found "-upnp" helped as well as it removed some unneeded dependencies.

It would be wise to now do
Code:
emerge -uDN world
.

Now for the surgery to begin. Place the following entries in your /etc/portage/package.mask:
Code:

>=dev-libs/glib-2.38.2
>=dev-cpp/glibmm-2.38.1
>=net-libs/glib-networking-2.38.2
>x11-libs/gdk-pixbuf-2.28.2
>x11-libs/gtk+-3.4.4
>=dev-cpp/gtkmm-3.10.1
>=dev-util/gdbus-codegen-2.38.2
>=gnome-base/gvfs-1.18.3
>=net-libs/webkit-gtk-2.2.4
#>=dev-util/anjuta-3.10.2   # REMOVED
>=x11-misc/xdg-user-dirs-gtk-0.10
>=dev-util/gdbus-codegen-2.36.4-r1
>=net-libs/libsoup-2.44.2
>=dev-libs/gobject-introspection-1.38.0
>=dev-libs/gobject-introspection-common-1.38.0
>=gnome-base/gnome-keyring-3.10.1
>=gnome-base/libgnome-keyring-3.10.1


Next, wield the following sledgehammer:
Code:
 emerge -C anjuta cmus egg-python foomatic-gui gdbus-codegen gdk-pixbuf genius glib glib-networking glibmm gnome-keyring gobject-introspection gtk+ gtkmm gtkpod gucharmap gupnp gupnp-igd gvfs libextractor libgda libgde libgdu libgksu libgksu-python libgnome-keyring libgnome-python libgnomeui libsoup libunique metacity openscenegraph pidgin pywebkitgtk soundconverter steam-launcher system-config-printer-gnome totem-pl-parser vino webkit-gtk xdg-user-dirs-gtk yelp zenity


The final step is to rebuild
Code:

emerge -uDN world
emerge @preserved-rebuild
revdep-rebuild

This probably excessive sequence will pick up any problems. If these steps don't work for you because of blockers then you will have to use the sequence of steps I used above to construct the removal list. That is, try "emerge -pvuDN world", remove the blocker, check to see what depends on it with "equery depends", if you can get rid of it and its dependencies then do so.

I tried a more strategic removal and downgrade of the offending glib, but I could not get any combination of glib and gtk+ that would then build without the sledgehammering used above.
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1063
Location: /dev/koelsch

PostPosted: Sat Feb 22, 2014 1:52 pm    Post subject: Reply with quote

Hello to all companion in misfortune,

you could find more interesting details regarding this bug, which is still not solved, here:

https://bugs.gentoo.org/show_bug.cgi?id=501330

Best, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
ville-v
n00b
n00b


Joined: 09 Apr 2013
Posts: 4

PostPosted: Thu Mar 06, 2014 8:40 am    Post subject: Reply with quote

I encountered this problem on my amd64 KDE system. It appeared after @world update roughly two weeks ago. The following steps solved it.

1) Restarted computer and verified that the problem still exists.

2) Removed line
Code:
dev-libs/glib ~amd64

from /etc/portage/package.accept_keywords

3) Re-emerged glib, dbus and dbus-glib. The glib version emerged was 2.36.4-r1.

After these steps I restarted my computer and the problem was gone.

After re-adding the removed line to /etc/portage/package.accept_keywords, dev-libs/glib-2.38.2 would have been installed. It seems that I had no installed packages that would have prevented this downgrade, even though @world update had been performed before these steps (apparently with the newer version of glib installed).

My package.keywords and package.mask are empty.
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2229
Location: Netherlands

PostPosted: Sat Mar 08, 2014 7:17 pm    Post subject: Reply with quote

On my "regular" ~amd64 Gentoo desktop I don't have this problem with glib-2.38.2.

I use Gimp 2.8.10.
The next version will be 2.9.1, now only available from gnome git repository.
I don't want to mess up my regular install so on a spare partition I installed Gentoo.
I used the same config files in /etc yet there I do have this problem.
Since apparently things should run ok on glib-2.38.2 I don't like to downgrade glib.
I'll do some more digging to find the culprit.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2229
Location: Netherlands

PostPosted: Sun Mar 09, 2014 11:46 am    Post subject: Reply with quote

To continue:
I remembered that during the install of the new system I commented out all the USE entries in /etc/portage/make.conf
because I got too many circular dependencies errors.
After a while I uncommented them again.
This means a good part of the installed packages had different use flags compared to my "regular" install.
So I did
Code:

emerge -eN system

And now after a reboot no more consolekit problem!
Code:

 ck-list-sessions
Session1:
        unix-user = '1000'
        realname = '(null)'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty7'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2014-03-09T11:30:14.745652Z'
        login-session-id = '4294967295'

Solved for me (with glib-2.38.2)
Now I can start on Gimp-2.9.1.

Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
GenProm
Tux's lil' helper
Tux's lil' helper


Joined: 18 Aug 2011
Posts: 93
Location: Germany

PostPosted: Sun Mar 09, 2014 5:03 pm    Post subject: Reply with quote

Hi

I just updated my gentoo (was on vacation 2 weeks) and now i got the same problem. Pulseaudio is not working any more and I get the consolekit error when I log into my KDE with kdm. im an AMD64 with the systoms described in this bug: https://bugs.gentoo.org/show_bug.cgi?id=501330

Is there any good solution available ? Except from 12monkeys which seems a bit over the top for me.

At the moment i try my luck with emerge -eN system

UPDATE:

emerge -eN system did not help here. Now i will try downgrading glib.

@Gerard

Could you post your make.conf ?

Thanks
_________________
Thank you for your help.

Manuel
Back to top
View user's profile Send private message
thumper
Guru
Guru


Joined: 06 Dec 2002
Posts: 448
Location: Venice FL

PostPosted: Mon Mar 10, 2014 8:24 pm    Post subject: Reply with quote

Is this the writing on the wall in regards to being forced to switch to systemd? 8O

George
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Mon Mar 10, 2014 8:36 pm    Post subject: Reply with quote

Unfortunately, I still haven't found system where this could be reproduced. Some people have said 'emerge -e world' type of workarounds have worked.
Would be nice if someone could pinpoint where the exact problem is.
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2229
Location: Netherlands

PostPosted: Mon Mar 10, 2014 8:37 pm    Post subject: Reply with quote

@GenProm,
I will post my make.con ,/etc/portage/package.use and other relevant info later,have to go.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2229
Location: Netherlands

PostPosted: Mon Mar 10, 2014 8:38 pm    Post subject: Reply with quote

@thumper,
No.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
gerard82
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2229
Location: Netherlands

PostPosted: Mon Mar 10, 2014 10:05 pm    Post subject: Reply with quote

@GenStorm,
here's my emerge --info
Code:

Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.2, glibc-2.18-r1, 3.13.6-gentoo x86_64)
=================================================================
System uname: Linux-3.13.6-gentoo-x86_64-AMD_Phenom-tm-_II_X4_925_Processor-with-gentoo-2.2
KiB Mem:     8179948 total,   6250380 free
KiB Swap:   10490408 total,  10490408 free
Timestamp of tree: Mon, 10 Mar 2014 12:15:01 +0000
ld GNU ld (GNU Binutils) 2.24
app-shells/bash:          4.2_p45-r1
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.3.4
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          9999
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.14.1
sys-devel/binutils:       2.24-r2
sys-devel/gcc:            4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.18-r1
Repositories: gentoo sunrise others mine
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=amdfam10 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news notitles parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"                                                                                                                                           
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.snt.ipv6.utwente.nl/pub/os/linux/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman /usr/local/portage/overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi alsa amd64 bash-completion berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode examples exif fam ffmpeg firefox flac fortran gdbm gif gpm gstreamer gtk iconv ipv6 java jpeg jpeg2k kde kipi lame lcms ldap libnotify lm_sensors lua mad mmx mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg openal openexr opengl openmp pam pango pcre pdf phonon plasma png policykit ppds python qt3support qt4 readline scanner sdl semantic-desktop session smp spell sse sse2 ssl startup-notification svg tcpd theora threads tiff truetype udev udisks unicode usb vorbis wxwidgets x264 xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="emu10k1" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en nl" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" SANE_BACKENDS="epson" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Code:
Snippet of make.conf w. only USE flags
USE="3dnow bash-completion cups examples ffmpeg gstreamer java jpeg2k kde lame
     lm_sensors lua openal openexr python scanner smp theora threads
     xcomposite -bluetooth -gnome -pm-utils -systemd -upower"
     


/etc/portage/package.use
Code:

media-libs/gd fontconfig
net-print/gutenprint gimp foomaticdb
media-gfx/xsane gimp
dev-libs/protobuf python
sys-libs/zlib minizip
app-misc/recoll -fam
media-gfx/gimp aalib doc postscript vala
dev-python/PyQt4 dbus declarative sql svg webkit X
app-misc/mc -slang
media-gfx/ufraw gimp
media-libs/babl introspection vala
media-libs/gegl introspection vala
kde-base/powerdevil -pm_utils
media-libs/mediastreamer video
www-client/firefox gstreamer
sys-kernel/linux-docs html
sys-fs/udev doc introspection
# kde-base/kdebase-kioslaves -sftp
dev-python/PyQt4 script
dev-libs/protobuf -java
dev-libs/elfutils static-libs
sys-apps/openrc tools
dev-lang/python sqlite
app-misc/recoll inotify
media-gfx/dcraw gimp
dev-libs/boost icu
dev-python/imaging tk
dev-lang/python tk
net-dns/avahi mdnsresponder-compat
www-plugins/adobe-flash vdpau
sys-fs/udisks -crypt -gptfdisk
sys-process/lsof rpc
net-p2p/qbittorrent geoip
media-libs/harfbuzz icu
app-office/libreoffice unicode
app-office/libreoffice-l10n unicode
app-emulation/wine dos
# dev-qt/designer -phonon
kde-base/drkonqi debug
kde-base/knotify debug
media-libs/phonon vlc
# app-emulation/virtualbox extensions -multilib
net-fs/cifs-utils upcall -acl
net-fs/samba winbind
media-gfx/argyllcms doc
sys-devel/gcc awt
x11-drivers/nvidia-drivers -tools


The package.use file probably contains stuff I don't use anymore.

Hope you and ssuominen have use for this.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
GenProm
Tux's lil' helper
Tux's lil' helper


Joined: 18 Aug 2011
Posts: 93
Location: Germany

PostPosted: Tue Mar 11, 2014 8:17 am    Post subject: Reply with quote

Hello guys,

Ok here is my progress report:

I did successfully downgrade glib and console-kit does work again somehow on my amd64. However some other things are off now.

- Sound with pulseaudio is working again
- No warning when I log in from kdm to kde anymore
- Automounting with tray is still not working, additionally the devices do not get displayed anymore
- Networkmanager is not working, need to connect with wpa_supplicant to internet

Code:


ck-list-sessions
Session1:
        unix-user = '1000'
        realname = '(null)'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty7'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2014-03-11T07:33:56.747400Z'
        login-session-id = '4294967295'

Some things do not compile again with the new "old" glib stuff. I guess here lies the problem. I'm a little worried about the automounting, this should work with consolekit i think so something seems still broken.

In 12monkeys howtoi did get to the final emerge -uDN world rebuild but this failed with some gtk stuff. After fixing this nearly everything i had, compieled again with the old glib. But some things remained. For me it looks like some things just need to be reemerged but how can i find out what packages need remerging?

Here is the list of emerge @preserved-rebuild

Code:

emerge @preserved-rebuild

These are the packages that would be merged, in order:

Calculating dependencies                           ... done!
[ebuild  N     ] net-libs/webkit-gtk-1.8.3-r201:2  USE="geoloc gstreamer introspection jit spell webgl (-aqua) -coverage -debug {-test}" 0 kB
[ebuild  N     ] net-libs/webkit-gtk-1.8.3-r300:3  USE="geoloc gstreamer introspection jit spell webgl (-aqua) -coverage -debug -doc {-test} -webkit2" 0 kB
[ebuild  N    ~] media-gfx/gimp-2.8.10-r1:2  USE="alsa bzip2 dbus exif jpeg jpeg2k lcms mmx mng pdf png python sse svg tiff udev webkit -aalib (-altivec) (-aqua) -curl -debug -doc -gnome -postscript -smp -wmf -xpm" LINGUAS="de -am -ar -ast -az -be -bg -br -ca -ca@valencia -cs -csb -da -dz -el -en_CA -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi -hr -hu -id -is -it -ja -ka -kk -km -kn -ko -lt -lv -mk -ml -ms -my -nb -nds -ne -nl -nn -oc -pa -pl -pt -pt_BR -ro -ru -rw -si -sk -sl -sr -sr@latin -sv -ta -te -th -tr -tt -uk -vi -xh -yi -zh_CN -zh_HK -zh_TW" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" 0 kB
[ebuild  N     ] net-libs/libproxy-0.4.11-r1  USE="kde networkmanager python webkit -gnome -mono -perl -spidermonkey {-test}" PYTHON_TARGETS="python2_7 -python2_6" 0 kB
[ebuild   R    ] net-libs/glib-networking-2.36.2  USE="libproxy ssl -gnome -smartcard {-test}" 0 kB
[ebuild   R    ] media-plugins/gimp-lqr-0.7.1  0 kB

Total: 6 packages (4 new, 2 reinstalls), Size of downloads: 0 kB

!!! The following update has been skipped due to unsatisfied dependencies:

net-libs/webkit-gtk:3

!!! All ebuilds that could satisfy ">=x11-libs/gtk+-3.6.0:3[aqua=,introspection?]" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/gtk+-3.10.7::gentoo (masked by: package.mask)
/etc/portage/package.mask:
# mask some packages to avoid glib update with breaks consolekit -> pulseaudio, mounting etc
# see: http://forums.gentoo.org/viewtopic-p-7514236.html#7514236 and https://bugs.gentoo.org/show_bug.cgi?id=501330
# Date: 10.03.2014

- x11-libs/gtk+-3.10.6::gentoo (masked by: package.mask, ~amd64 keyword)
- x11-libs/gtk+-3.8.7::gentoo (masked by: package.mask)
- x11-libs/gtk+-3.6.3-r3::gentoo (masked by: package.mask, ~amd64 keyword)

(dependency required by "net-libs/webkit-gtk-2.0.4" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



Would you like to merge these packages? [Yes/No]



Here is the compile error:

Code:

it-gtk-1.8.3-r201/work/webkit-1.8.3/.libs
/usr/lib64/libgeoclue.so: undefined reference to `g_type_class_adjust_private_offset'
collect2: error: ld returned 1 exit status
make: *** [Programs/unittests/testdomdocument] Error 1
make: *** Waiting for unfinished jobs....
/usr/lib64/libgeoclue.so: undefined reference to `g_type_class_adjust_private_offset'
collect2: error: ld returned 1 exit status
make: *** [Programs/unittests/testapplicationcache] Error 1
/usr/lib64/libgeoclue.so: undefined reference to `g_type_class_adjust_private_offset'
collect2: error: ld returned 1 exit status
make: *** [Programs/unittests/testdomdomwindow] Error 1
/usr/lib64/libgeoclue.so: undefined reference to `g_type_class_adjust_private_offset'
collect2: error: ld returned 1 exit status
make: *** [Programs/unittests/testhttpbackend] Error 1
/usr/lib64/libgeoclue.so: undefined reference to `g_type_class_adjust_private_offset'
collect2: error: ld returned 1 exit status
make: *** [Programs/unittests/testdomnode] Error 1


Ok so i thougt: reermege geoclue to maybe solve this, but this did not work because geoclue was complaining about a libgudev. So i reemerged udev, now geoclue is compiling fine! So there are more packages that need reemerging than @preserved-rebuild is showing me. How can i find all of these ?


And emerge --info:

Code:

kobold manuel # emerge --info
Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.3, glibc-2.17, 3.10.32-gentoo x86_64)
=================================================================
System uname: Linux-3.10.32-gentoo-x86_64-AMD_Phenom-tm-_II_X4_965_Processor-with-gentoo-2.2
KiB Mem:     8174216 total,   4643120 free
KiB Swap:    7167996 total,   7167996 free
Timestamp of tree: Mon, 10 Mar 2014 14:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r3, 3.2.5-r3, 3.3.3
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4                                                                                                                                   
sys-kernel/linux-headers: 3.9 (virtual/os-headers)                                                                                                                 
sys-libs/glibc:           2.17                                                                                                                                     
Repositories:                                                                                                                                                       
                                                                                                                                                                   
gentoo                                                                                                                                                             
    location: /var/portage_sync                                                                                                                                     
    sync-type: rsync                                                                                                                                               
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage                                                                                                       
    priority: -1000                                                                                                                                                 
                                                                                                                                                                   
bangert                                                                                                                                                             
    location: /var/lib/layman/bangert                                                                                                                               
    masters: gentoo                                                                                                                                                 
    priority: 0                                                                                                                                                     
                                                                                                                                                                   
gamerlay                                                                                                                                                           
    location: /var/lib/layman/gamerlay                                                                                                                             
    masters: gentoo                                                                                                                                                 
    priority: 1                                                                                                                                                     
                                                                                                                                                                   
java                                                                                                                                                               
    location: /var/lib/layman/java                                                                                                                                 
    masters: gentoo                                                                                                                                                 
    priority: 2

anders-larsson
    location: /var/lib/layman/anders-larsson
    masters: gentoo
    priority: 3

my_local_overlay
    location: /usr/local/portage
    masters: gentoo
    priority: 4

ABI="amd64"
ABI_X86="64"
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode python_targets_python3_3 python_targets_python2_7 multilib"
CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author"
CAMERAS="ptp2"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CG_COMPILER_EXE="/opt/bin/cgc"
CG_INC_PATH="/opt/nvidia-cg-toolkit/include"
CG_LIB_PATH="/opt/nvidia-cg-toolkit/lib64:/opt/nvidia-cg-toolkit/lib32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
COLORFGBG="15;0"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-zbdeM8FoGN,guid=3f0d8cbe1adfd2f982c5598d531ebc64"
DEFAULT_ABI="amd64"
DESKTOP_SESSION="KDE-4"
DISPLAY=":0"
DISTDIR="/var/portage_sync/distfiles"
DM_CONTROL="/var/run/xdmctl"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--autounmask=n --ask --verbose"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; eval \"declare -a ssh_opts=(\${3})\" ; exec sftp -P \${port} \"\${ssh_opts[@]}\" \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FFLAGS="-O2 -pipe"
FLTK_DOCDIR="/usr/share/doc/fltk-1.3.2/html"
GCC_SPECS=""
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ ftp://gd.tuwien.ac.at/opsys/linux/gentoo ftp://de-mirror.org/gentoo"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx"
GRUB_PLATFORMS=""
GS_LIB="/home/manuel/.fonts"
HOME="/root"
INFOPATH="/usr/share/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.7.3/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.2/info"
INPUT_DEVICES="evdev keyboard mouse wacom"
IUSE_IMPLICIT="prefix"
JAVAC="/home/manuel/.gentoo/java-config-2/current-user-vm/bin/javac"
JAVACC_HOME="/usr/share/javacc/"
JAVA_HOME="/home/manuel/.gentoo/java-config-2/current-user-vm"
JDK_HOME="/home/manuel/.gentoo/java-config-2/current-user-vm"
KDE_FULL_SESSION="true"
KDE_MULTIHEAD="false"
KDE_SESSION_UID="1000"
KDE_SESSION_VERSION="4"
KERNEL="linux"
KONSOLE_DBUS_SERVICE=":1.200"
KONSOLE_DBUS_SESSION="/Sessions/2"
KONSOLE_DBUS_WINDOW="/Windows/1"
KONSOLE_PROFILE_NAME="Shell"
LANG="de_DE.UTF-8"
LANGUAGE=""
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_ADDRESS="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_CTYPE="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_MESSAGES="C"
LC_MONETARY="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_arm="lib"
LIBDIR_arm64="lib64"
LIBDIR_n32="lib32"
LIBDIR_n64="lib64"
LIBDIR_o32="lib"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_s390="lib32"
LIBDIR_s390x="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LINGUAS="de"
LOGNAME="root"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:"
MAIL="/var/mail/manuel"
MAKEOPTS="-j5"
MANPATH="/home/manuel/.gentoo/java-config-2/current-user-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.7.3/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.23.2/man:/etc/java-config-2/current-system-vm/man/:/usr/share/postgresql/man/:/usr/share/postgresql-9.3/man/"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage|udev|systemd|clang|python-exec)"
MULTIOSDIRS="../lib64:../lib32"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OFFICE_IMPLEMENTATION="libreoffice"
OPENCL_PROFILE="nvidia"
OPENGL_PROFILE="nvidia"
PAGER="/usr/bin/less"
PATH="/sbin:/bin:/usr/sbin:/usr/bin"
PHP_TARGETS="php5-5"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc sparc64-freebsd ppc-openbsd x86-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd ppc64-linux x86-cygwin amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris m68k sh arm64 x86-solaris sparc-fbsd"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error info qa"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="echo:log,info,warn,error save:warn,error"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --digest-algo SHA256 --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_INTERNAL_CALLER="1"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_PYTHONPATH="/usr/lib64/portage/pym"
PORTAGE_REPOSITORIES="[DEFAULT]
main-repo = gentoo

[anders-larsson]
location = /var/lib/layman/anders-larsson
masters = gentoo
priority = 3

[bangert]
location = /var/lib/layman/bangert
masters = gentoo
priority = 0

[gamerlay]
location = /var/lib/layman/gamerlay
masters = gentoo
priority = 1

[gentoo]
location = /var/portage_sync
masters =
priority = -1000
sync-type = rsync
sync-uri = rsync://rsync.europe.gentoo.org/gentoo-portage

[java]
location = /var/lib/layman/java
masters = gentoo
priority = 2

[my_local_overlay]
location = /usr/local/portage
masters = gentoo
priority = 4
"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTAGE_XATTR_EXCLUDE="security.* system.nfs4_acl"
PORTDIR="/var/portage_sync"
PORTDIR_OVERLAY="/var/lib/layman/bangert /var/lib/layman/gamerlay /var/lib/layman/java /var/lib/layman/anders-larsson /usr/local/portage"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
PRELINK_PATH_MASK="/opt;/mnt/data:/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so:/opt/bin/skype"
PROFILEHOME=""
PROFILE_ONLY_VARIABLES="ARCH ELIBC IUSE_IMPLICIT KERNEL USERLAND USE_EXPAND_IMPLICIT USE_EXPAND_UNPREFIXED USE_EXPAND_VALUES_ARCH USE_EXPAND_VALUES_ELIBC USE_EXPAND_VALUES_KERNEL USE_EXPAND_VALUES_USERLAND"
PWD="/home/manuel"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python2_7"
PYTHON_TARGETS="python2_7 python3_3"
QT_GRAPHICSSYSTEM="raster"
QT_PLUGIN_PATH="/usr/lib64/kde4/plugins:/home/manuel/.kde4/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.7.3:/opt/nvidia-cg-toolkit/bin"
RPMDIR="/usr/portage/rpm"
RUBYOPT="-rauto_gem"
RUBY_TARGETS="ruby19 ruby18"
R_HOME="/usr/lib64/R"
SESSION_MANAGER="local/kobold:@/tmp/.ICE-unix/2635,unix/kobold:/tmp/.ICE-unix/2635"
SHELL="/bin/bash"
SHELL_SESSION_ID="bc42d26306954000a622c0296aa38415"
SHLVL="3"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
SYSTEMD_LESS="FRSM --shift 5"
TERM="xterm"
UNINSTALL_IGNORE="/lib/modules/*"
USE="3dnow 3dnowext S3TC X a52 aac acl acpi ads alisp alsa amd64 apng asf assistant autoipd avahi avi bash-completion berkdb binary-drivers bluetooth branding bzip2 cairo cdda cdr cg cli consolekit cpudetection cracklib crypt css\ cups cxx dbus declarative dhcpcd divx dri dts dvd dvdr dvdread emboss emulation encode evo exif extra-tools fam ffmpeg firefox flac fontconfig fortran g3dvl gcj gdbm gfxnvidia gif gimp gpm gsm gtk gtk2 hddtemp iconv icu ieee1394 introspection ipv6 java jpeg jpeg2k kde kipi lcms ldap libmpeg2 libnotify lm_sensors lzma mad mdnsresponder-compat melt mmx mmxext mng modules mp3 mp4 mpeg mpg123 mplayer multilib ncurses networkmanager nls nptl nsplugin nss nvidia ogg openal opengl openmp oss pam pango pcre pdf phonon plasma png policykit ppds profiler pulseaudio python qt3 qt3support qt4 readline resolvconf script sdl semantic-desktop session sip spell sqlite sse sse2 sse3 ssl ssse3 startup-notification static-libs subversion svg symlink tcpd theora tiff truetype udev udisks unicode upcall upower usb vdpau video vorbis vpx wav wavpack webkit wifi win32 win32codecs wxwidgets x264 xcb xcomposite xine xinerama xml xscreensaver xv xvid xvmc zeroconf zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev keyboard mouse wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USER="root"
USERLAND="GNU"
USE_EXPAND="ABI_MIPS ABI_X86 ALSA_CARDS APACHE2_MODULES APACHE2_MPMS CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CROSSCOMPILE_OPTS CURL_SSL DRACUT_MODULES DVB_CARDS ELIBC ENLIGHTENMENT_MODULES FCDSL_CARDS FFTOOLS FOO2ZJS_DEVICES FRITZCAPI_CARDS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL LCD_DEVICES LIBREOFFICE_EXTENSIONS LINGUAS LIRC_DEVICES MONKEYD_PLUGINS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL OFED_DRIVERS OFFICE_IMPLEMENTATION OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND UWSGI_PLUGINS VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="ABI_MIPS CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_EXPAND_IMPLICIT="ARCH ELIBC KERNEL USERLAND"
USE_EXPAND_UNPREFIXED="ARCH"
USE_EXPAND_VALUES_ARCH="alpha amd64 amd64-fbsd amd64-linux arm arm-linux arm64 hppa hppa-hpux ia64 ia64-hpux ia64-linux m68k m68k-mint mips ppc ppc64 ppc64-linux ppc-aix ppc-macos ppc-openbsd s390 sh sparc sparc64-freebsd sparc64-solaris sparc-fbsd sparc-solaris x64-freebsd x64-macos x64-openbsd x64-solaris x86 x86-cygwin x86-fbsd x86-freebsd x86-interix x86-linux x86-macos x86-netbsd x86-openbsd x86-solaris x86-winnt"
USE_EXPAND_VALUES_ELIBC="AIX Cygwin Darwin FreeBSD glibc HPUX Interix mintlib musl NetBSD OpenBSD SunOS uclibc Winnt"
USE_EXPAND_VALUES_KERNEL="AIX Cygwin Darwin FreeBSD freemint HPUX Interix linux NetBSD OpenBSD SunOS Winnt"
USE_EXPAND_VALUES_USERLAND="BSD GNU"
USE_ORDER="env:pkg:conf:defaults:pkginternal:repo:env.d"
VBOX_APP_HOME="/usr/lib64/virtualbox"
VDPAU_NVIDIA_NO_OVERLAY="1"
VIDEO_CARDS="nvidia vesa"
WINDOWID="201326619"
WINDOWPATH="7"
WINEARCH="win32"
WINEDLLOVERRIDES="winemenubuilder.exe=d"
XAUTHORITY="/root/.xauth9cnRFO"
XCURSOR_THEME="Oxygen_White"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_CURRENT_DESKTOP="KDE"
XDG_DATA_DIRS="/usr/share:/usr/local/share:/usr/share"
XDG_MENU_PREFIX="kde-4-"
XDG_SESSION_COOKIE="8b94ae00da0e067d4a255f35000043fb-1394523236.744829-1982147765"
XDM_MANAGED="method=classic"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
_="/usr/bin/emerge"


These are the preserved libs:

Code:

!! existing preserved libs:
>>> package: net-libs/webkit-gtk-2.2.5
 *  - /usr/lib64/libjavascriptcoregtk-3.0.so.0
 *  - /usr/lib64/libjavascriptcoregtk-3.0.so.0.15.10
 *      used by /usr/lib64/libproxy.so.1 (preserved)
 *      used by /usr/lib64/libproxy.so.1.0.0 (preserved)
>>> package: media-gfx/gimp-2.8.10-r1
 *  - /usr/lib64/libgimpwidgets-2.0.so.0
 *  - /usr/lib64/libgimpwidgets-2.0.so.0.800.10
 *      used by /usr/lib64/gimp/2.0/plug-ins/gimp-lqr-plugin (media-plugins/gimp-lqr-0.7.1)
 *      used by /usr/lib64/gimp/2.0/plug-ins/plug_in_lqr_iter (media-plugins/gimp-lqr-0.7.1)
 *  - /usr/lib64/libgimpconfig-2.0.so.0
 *  - /usr/lib64/libgimpconfig-2.0.so.0.800.10
 *      used by /usr/lib64/gimp/2.0/plug-ins/gimp-lqr-plugin (media-plugins/gimp-lqr-0.7.1)
 *      used by /usr/lib64/gimp/2.0/plug-ins/plug_in_lqr_iter (media-plugins/gimp-lqr-0.7.1)
 *  - /usr/lib64/libgimpcolor-2.0.so.0
 *  - /usr/lib64/libgimpcolor-2.0.so.0.800.10
 *      used by /usr/lib64/gimp/2.0/plug-ins/gimp-lqr-plugin (media-plugins/gimp-lqr-0.7.1)
 *      used by /usr/lib64/gimp/2.0/plug-ins/plug_in_lqr_iter (media-plugins/gimp-lqr-0.7.1)
 *  - /usr/lib64/libgimpmath-2.0.so.0
 *  - /usr/lib64/libgimpmath-2.0.so.0.800.10
 *      used by /usr/lib64/gimp/2.0/plug-ins/gimp-lqr-plugin (media-plugins/gimp-lqr-0.7.1)
 *      used by /usr/lib64/gimp/2.0/plug-ins/plug_in_lqr_iter (media-plugins/gimp-lqr-0.7.1)
 *  - /usr/lib64/libgimp-2.0.so.0
 *  - /usr/lib64/libgimp-2.0.so.0.800.10
 *      used by /usr/lib64/gimp/2.0/plug-ins/gimp-lqr-plugin (media-plugins/gimp-lqr-0.7.1)
 *      used by /usr/lib64/gimp/2.0/plug-ins/plug_in_lqr_iter (media-plugins/gimp-lqr-0.7.1)
 *  - /usr/lib64/libgimpui-2.0.so.0
 *  - /usr/lib64/libgimpui-2.0.so.0.800.10
 *      used by /usr/lib64/gimp/2.0/plug-ins/gimp-lqr-plugin (media-plugins/gimp-lqr-0.7.1)
 *      used by /usr/lib64/gimp/2.0/plug-ins/plug_in_lqr_iter (media-plugins/gimp-lqr-0.7.1)
 *  - /usr/lib64/libgimpmodule-2.0.so.0
 *  - /usr/lib64/libgimpmodule-2.0.so.0.800.10
 *      used by /usr/lib64/gimp/2.0/plug-ins/gimp-lqr-plugin (media-plugins/gimp-lqr-0.7.1)
 *      used by /usr/lib64/gimp/2.0/plug-ins/plug_in_lqr_iter (media-plugins/gimp-lqr-0.7.1)
 *  - /usr/lib64/libgimpbase-2.0.so.0
 *  - /usr/lib64/libgimpbase-2.0.so.0.800.10
 *      used by /usr/lib64/gimp/2.0/plug-ins/gimp-lqr-plugin (media-plugins/gimp-lqr-0.7.1)
 *      used by /usr/lib64/gimp/2.0/plug-ins/plug_in_lqr_iter (media-plugins/gimp-lqr-0.7.1)
>>> package: net-libs/libproxy-0.4.11-r1
 *  - /usr/lib64/libproxy.so.1
 *  - /usr/lib64/libproxy.so.1.0.0
 *      used by /usr/lib64/gio/modules/libgiolibproxy.so (net-libs/glib-networking-2.36.2)
 *      used by /usr/libexec/glib-pacrunner (net-libs/glib-networking-2.36.2)
Use emerge @preserved-rebuild to rebuild packages using these libraries

_________________
Thank you for your help.

Manuel
Back to top
View user's profile Send private message
EvaSDK
Developer
Developer


Joined: 12 Jul 2003
Posts: 169
Location: France, Paris

PostPosted: Tue Mar 11, 2014 1:18 pm    Post subject: Reply with quote

preserved-rebuild may not manage to rebuild everything in one run, just like revdep-rebuild. You might want to run it like this:

$ emerge @preserved-rebuild --keep-going

so that it continues even in case order is not perfect and re-run the command until the set is empty.

In case you indeed found a corner-case where preserved-rebuild fails (unlikely but there are some cases), try revdep-rebuild and file a bug report against portage with the output of revdep-rebuild and detailled explanation you would copy from this thread.
Back to top
View user's profile Send private message
massimo
Veteran
Veteran


Joined: 22 Jun 2003
Posts: 1141
Location: Austria

PostPosted: Tue Mar 11, 2014 4:29 pm    Post subject: Reply with quote

I'm facing the same issue... at least I've got sound back working after adding my user back to the audio group. Nevertheless it all started after an emerge world including the following packages:

Quote:

│ * gnome-base/libgnome-keyring-3.10.1 - 03/10/2014 │
│ * net-libs/libsoup-2.44.2 - 03/10/2014 │
│ * gnome-base/gnome-keyring-3.10.1 - 03/10/2014 │
│ * net-libs/glib-networking-2.38.2 - 03/10/2014 │
│ * app-crypt/gcr-3.10.1 - 03/10/2014 │
│ * x11-libs/gtk+-3.10.7 - 03/10/2014 │
│ * app-accessibility/at-spi2-atk-2.10.2 - 03/10/2014 │
│ * gnome-base/librsvg-2.40.1-r1 - 03/10/2014 │
│ * app-accessibility/at-spi2-core-2.10.2 - 03/10/2014 │
│ * x11-libs/gdk-pixbuf-2.30.6 - 03/10/2014 │
│ * dev-libs/atk-2.10.0 - 03/10/2014 │
│ * x11-libs/pango-1.36.2 - 03/10/2014 │
│ * x11-libs/pango-1.36.2 - 03/10/2014 │
│ * app-text/docbook-xml-dtd-4.3-r1 - 03/10/2014 │
│ * dev-cpp/glibmm-2.38.1 - 03/10/2014 │
│ * dev-libs/gobject-introspection-1.38.0 - 03/10/2014 │
│ * dev-libs/glib-2.38.2 - 03/10/2014 │
│ * dev-lang/orc-0.4.18 - 03/10/2014 │
│ * dev-util/gdbus-codegen-2.38.2 - 03/10/2014 │
│ * app-text/iso-codes-3.51 - 03/10/2014 │
│ * dev-libs/gobject-introspection-common-1.38.0 - 03/10/2014 │
│ * dev-util/gtk-doc-am-1.20 - 03/10/2014


emerge --info
Quote:

Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.3, glibc-2.17, 3.12.13-gentoo x86_64)
=================================================================
System uname: Linux-3.12.13-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1090T_Processor-with-gentoo-2.2
KiB Mem: 16412152 total, 12750716 free
KiB Swap: 1004056 total, 1004056 free
Timestamp of tree: Tue, 11 Mar 2014 16:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash: 4.2_p45
dev-java/java-config: 2.2.0
dev-lang/python: 2.7.5-r3, 3.2.5-r3, 3.3.3
dev-util/cmake: 2.8.11.2
dev-util/pkgconfig: 0.28
sys-apps/baselayout: 2.2
sys-apps/openrc: 0.12.4
sys-apps/sandbox: 2.6-r1
sys-devel/autoconf: 2.13, 2.69
sys-devel/automake: 1.9.6-r3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils: 2.23.2
sys-devel/gcc: 4.6.3, 4.7.3-r1
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4.2
sys-devel/make: 3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc: 2.17
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=amdfam10 -O2 -pipe"
DISTDIR="/var/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 apng berkdb branding bzip2 cairo cdda cdr chm cli consolekit cracklib crypt cups cxx dbus declarative djvu dri dts dvd dvdr ebook emboss encode exif extras fam ffmpeg firefox flac fortran gcj gdbm gif gnutls google gtk gudev hwdb iconv icu inotify jpeg jpeg2k kde kipi lcms libkms libnotify lzma mad minizip mmx mmxext mng modules mp3 mp4 mpeg multilib mysql ncurses nls nptl nsplugin ogg opengl openmp ovftool pam pango pcre pdf phonon plasma png policykit ppds qt3support qt4 readline sdl semantic-desktop session spell sse sse2 sse3 ssl ssse3 startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb vmware-tools vorbis wxwidgets x264 xcb xcomposite xml xmp xscreensaver xv xvfb xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="btrfs" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="radeon svga vesa fbdev r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON


Mostly stable except for:
Quote:

sys-fs/btrfs-progs
sys-kernel/dracut
dev-libs/libsodium



Let me know if you require any other information.
_________________
Hello 911? How are you?
Back to top
View user's profile Send private message
GenProm
Tux's lil' helper
Tux's lil' helper


Joined: 18 Aug 2011
Posts: 93
Location: Germany

PostPosted: Tue Mar 11, 2014 5:13 pm    Post subject: Reply with quote

Hello guys :-D

I made it finally :-D After nearly 3 days I managed to downgrade glib and my system fully without any negative side effects.

I will keept this in the masked section a while till this is reproduce able fixed.

Here is my process, heavily based on 12monkeys approach:

Firstly, get rid of as much gtk related stuff as possible by setting the USE flags in /etc/make.conf: "-gnome -gnome-keyring -gtk" and I found "-upnp" helped as well as it removed some unneeded dependencies.

It would be wise to now do
Code:
emerge -uDN world   

.

Now for the surgery to begin. Place the following entries in your /etc/portage/package.mask:

Code:

>=dev-libs/glib-2.38.2
>=dev-cpp/glibmm-2.38.1
>=net-libs/glib-networking-2.38.2
>x11-libs/gdk-pixbuf-2.28.2
>x11-libs/gtk+-3.4.4
>=dev-cpp/gtkmm-3.10.1
>=dev-util/gdbus-codegen-2.38.2
>=gnome-base/gvfs-1.18.3
>=net-libs/webkit-gtk-2.2.4
#>=dev-util/anjuta-3.10.2   # REMOVED
>=x11-misc/xdg-user-dirs-gtk-0.10
>=dev-util/gdbus-codegen-2.36.4-r1
>=net-libs/libsoup-2.44.2
>=dev-libs/gobject-introspection-1.38.0
>=dev-libs/gobject-introspection-common-1.38.0
>=gnome-base/gnome-keyring-3.10.1
>=gnome-base/libgnome-keyring-3.10.1



Next, wield the following sledgehammer:

Code:
 emerge -C anjuta cmus egg-python foomatic-gui gdbus-codegen gdk-pixbuf genius glib glib-networking glibmm gnome-keyring gobject-introspection gtk+ gtkmm gtkpod gucharmap gupnp gupnp-igd gvfs libextractor libgda libgde libgdu libgksu libgksu-python libgnome-keyring libgnome-python libgnomeui libsoup libunique metacity openscenegraph pidgin pywebkitgtk soundconverter steam-launcher system-config-printer-gnome totem-pl-parser vino webkit-gtk xdg-user-dirs-gtk yelp zenity



I also had to remove net-print/gutenprint to fix some blockers.

The final step is to rebuild

Code:

emerge -uDN world


Here it got tricky because it did not want to build without media-sound/lingot-0.9.1, so I added this to packages.accept_keywords

Also i had to remove some blockers first:

Code:
*   >=x11-libs/gtk+-2.8.10:2 pulled in by:
 *     (gnome-base/libglade-2.6.4::gentoo, installed)
 *
 *   x11-libs/gtk+:2 pulled in by:
 *     (x11-libs/wxGTK-2.8.12.1-r1::gentoo, installed)
 *
 *   >=net-libs/webkit-gtk-1.6.1:2 pulled in by:
 *     (media-gfx/gimp-2.8.10-r1::gentoo, installed)
 *
 *   >=x11-libs/gtk+-2.24.10:2 pulled in by:
 *     (media-gfx/gimp-2.8.10-r1::gentoo, installed)
 *
 *   >=x11-libs/gtk+-2.24:2 pulled in by:
 *     (dev-python/pygtk-2.24.0-r4::gentoo, installed)
 *
 *   >=net-libs/webkit-gtk-1.6:3/29= pulled in by:
 *     (net-libs/libproxy-0.4.11-r1::gentoo, installed)
 *
 *   >=net-libs/webkit-gtk-1.6:3= pulled in by:
 *     (net-libs/libproxy-0.4.11-r1::gentoo, installed)
 *
 *   >=x11-libs/gtk+-2.12:2 pulled in by:
 *     (x11-libs/gtksourceview-2.10.5-r2::gentoo, installed)
 *
 *   >=x11-libs/gtk+-2.24:2 pulled in by:
 *     (dev-java/icedtea-bin-6.1.12.7::gentoo, installed)


Now for the tricky part, I tried to reemerge gtw-webkit, but it did not build.

I fixed most of the packages by hand but i think better would be a
Code:

emerge -eN system


I needed to to this two times and a lot of revdeb-rebuilds inbetween but now it is as good as new :-D

Good Luck!
_________________
Thank you for your help.

Manuel
Back to top
View user's profile Send private message
Spacebug
n00b
n00b


Joined: 04 Jan 2009
Posts: 10
Location: Germany

PostPosted: Tue Mar 11, 2014 6:53 pm    Post subject: Reply with quote

I also experience the problem. It started after I did an emerge world yesterday. It would be really helpful if somebody could locate the bug so the problem can be fixed without having to downgrade glib or install systemd.

Does anybody have an idea why ck-list-sessions returns nothing (empty string) although console-kit-daemon is actually running (and producing output in /var/log/messages if put into debug mode)?

Another potential hint:
1) Put console-kit-daemon into debug mode:
Code:
     console-kit-daemon --debug

2) Launch a simple ck session:
Code:
     ck-launch-session echo

This will produce the following error in /var/log/messages:
Quote:
ck-launch-session: error connecting to ConsoleKit

A healthy system would not produce this error.

Any help is appreciated! Thanks.
Back to top
View user's profile Send private message
xtz
Apprentice
Apprentice


Joined: 29 Oct 2007
Posts: 181
Location: Belfast, UK

PostPosted: Wed Mar 12, 2014 2:52 am    Post subject: Reply with quote

Ivar_Y wrote:
Try using "dev-libs/glib-2.36.4-r1", which is, I think, the latest stable version of glib. It works for me.

How did you manage to do that?
I seem to be unable to downgrade.
I can see 2.36.4-r1 with eix:
Code:
Xecutor ~ # eix dev-libs/glib
[D] dev-libs/glib
     Available versions: 
     (1)    [m]1.2.10-r5
     (2)    [m]2.32.4-r1 [m]~2.34.3-r1 2.36.4-r1 [m]2.38.2
       {debug fam hardened selinux static-libs systemtap test utils xattr ABI_MIPS="n32 n64 o32" ABI_X86="32 64 x32" KERNEL="linux" PYTHON_TARGETS="python2_6 python2_7"}
     Installed versions:  2.38.2(2)(01:14:04 AM 03/12/2014)(-debug -fam -selinux -static-libs -systemtap -test -utils -xattr ABI_MIPS="-n32 -n64 -o32" ABI_X86="64 -32 -x32" KERNEL="linux" PYTHON_TARGETS="python2_7 -python2_6")
     Homepage:            http://www.gtk.org/
     Description:         The GLib library of C routines


If I mask it in package.mask:
Code:
Xecutor ~ # grep -i glib /etc/portage/package.mask
>=dev-libs/glib-2.38.2
#<dev-libs/glib-2.36.4-r1

Then it wants to install 1.2.10 ?:
Code:
Xecutor ~ # emerge glib -vp
Calculating dependencies... done!
[ebuild  NS    ] dev-libs/glib-1.2.10-r5:1 [2.38.2:2] USE="hardened" 421 kB


If I mask also all versions below dev-libs/glib-2.36.4-r1 too:
Code:
Xecutor ~ # grep -i glib /etc/portage/package.mask
>=dev-libs/glib-2.38.2
<dev-libs/glib-2.36.4-r1

Then it wants to reinstall 2.38.2 again:
Code:
Xecutor ~ # emerge glib -vp
Calculating dependencies... done!
[ebuild   R   #] dev-libs/glib-2.38.2:2  USE="-debug (-fam) (-selinux) -static-libs -systemtap {-test} -utils -xattr" PYTHON_TARGETS="python2_7 -python2_6" 0 kB
Back to top
View user's profile Send private message
Ivar_Y
n00b
n00b


Joined: 29 Jun 2004
Posts: 25

PostPosted: Wed Mar 12, 2014 6:13 am    Post subject: Reply with quote

xtz,
Quote:
Ivar_Y wrote:
Try using "dev-libs/glib-2.36.4-r1", which is, I think, the latest stable version of glib. It works for me.
How did you manage to do that?

It was easy when I did it. "dev-libs/glib-2.36.4-r1" was the stable version then; "dev-libs/glib-2.38.2" was the unstable version. I merely commented out the latter version from my package.keywords.

Unfortunately, the "dev-libs/glib-2.38.2" version is now the stable version and I now have the original problem again.

You can try to downgrade using: "emerge -av =dev-libs/glib-2.36.4-r1"

However, when I try this, I get lots of slot conflicts from other packages that were upgraded when "dev-libs/glib-2.38.2" was upgraded. I've been reluctant to downgrade all of them.
Back to top
View user's profile Send private message
GenProm
Tux's lil' helper
Tux's lil' helper


Joined: 18 Aug 2011
Posts: 93
Location: Germany

PostPosted: Wed Mar 12, 2014 7:50 am    Post subject: Reply with quote

Hello xtz, :D

Quote:
How did you manage to do that?
I seem to be unable to downgrade.


Use 12monkeys and/or mine method above. It works also with the 2.38 version when it is stable. This is the case on my system.

First remove as many gtk related stuff as possible with the use flags and remove any blockers by hand. then mask the packages and remove them afterwards re-emerge them.

Good Luck!
_________________
Thank you for your help.

Manuel
Back to top
View user's profile Send private message
xtz
Apprentice
Apprentice


Joined: 29 Oct 2007
Posts: 181
Location: Belfast, UK

PostPosted: Wed Mar 12, 2014 10:16 am    Post subject: Reply with quote

I already managed to fix it by masking glib-2.38, latest glib-networking and latest gvfs.
However, to be able to leave portage in consistent state, gtk+ has to be rebuilt too.
The latest version that doesn't depend on glib-2.38 is gtk+-2.x. All the 3.x ones now want glib-2.38 :x :evil:
I'm thinking if removing 3.x and reemerging world would allow me to emerge it after that :?

P.S.: It's stuff like that which drives users towards systemd. CK may be old and unmaintained, but that doesn't justify breaking a working installation like that.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3  Next
Page 2 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum